Loading...
Searching...
No Matches
Sip_if_match

## Macros

#define | sip_if_match(sip)
| Access a SIP SIP-If-Match header structure sip_if_match_t from sip_t.
#define | SIP_IF_MATCH_INIT()
| Initializer for structure sip_if_match_t.
#define | SIPTAG_IF_MATCH(x)
| Tag list item for pointer to a SIP-If-Match header structure sip_if_match_t.
#define | SIPTAG_IF_MATCH_REF(x)
| Tag list item for reference to a SIP-If-Match header pointer.
#define | SIPTAG_IF_MATCH_STR(s)
| Tag list item for string with SIP-If-Match header value.
#define | SIPTAG_IF_MATCH_STR_REF(x)
| Tag list item for reference to a SIP-If-Match header string.

## Typedefs

typedef struct msg_generic_s | sip_if_match_t
| @

## Functions

issize_t | sip_if_match_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP SIP-If-Match header.
issize_t | sip_if_match_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP SIP-If-Match header.
sip_if_match_t * | sip_if_match_init (sip_if_match_t x[1])
| Initialize a structure sip_if_match_t.
int | sip_is_if_match (sip_header_t const *header)
| Test if header object is instance of sip_if_match_t.
sip_if_match_t * | sip_if_match_dup (su_home_t *home, sip_if_match_t const *hdr))
| Duplicate a list of SIP-If-Match header header structures sip_if_match_t.
sip_if_match_t * | sip_if_match_copy (su_home_t *home, sip_if_match_t const *hdr))
| Copy a list of SIP-If-Match header header structures sip_if_match_t.
sip_if_match_t * | sip_if_match_make (su_home_t *home, char const *s))
| Make a SIP-If-Match header structure sip_if_match_t.
sip_if_match_t * | sip_if_match_format (su_home_t *home, char const *fmt,...)))
| Make a SIP-If-Match header from formatting result.

## Variables

msg_hclass_t | sip_if_match_class []
| Header class for SIP-If-Match header.
tag_typedef_t | siptag_if_match
| Tag for SIP-If-Match header object.
tag_typedef_t | siptag_if_match_str
| Tag for string with SIP-If-Match header value.

## Detailed Description

## Macro Definition Documentation

## SIP_IF_MATCH_INIT

#define SIP_IF_MATCH_INIT | ( |  | ) |

Initializer for structure sip_if_match_t.

A static sip_if_match_t structure for SIP-If-Match header must be initialized with the SIP_IF_MATCH_INIT() macro. For instance,

sip_if_match_t sip_if_match = SIP_IF_MATCH_INIT;
SIP_IF_MATCH_INIT
#define SIP_IF_MATCH_INIT()
Initializer for structure sip_if_match_t.
Definition sip_protos.h:14428
sip_if_match_t
struct msg_generic_s sip_if_match_t
@
Definition sip.h:150
sip_if_match
#define sip_if_match(sip)
Access a SIP SIP-If-Match header structure sip_if_match_t from sip_t.
Definition sip_protos.h:14411

## SIPTAG_IF_MATCH

#define SIPTAG_IF_MATCH | ( |  | x | ) |

Tag list item for pointer to a SIP-If-Match header structure sip_if_match_t.

The SIPTAG_IF_MATCH() macro is used to include a tag item with a pointer to a sip_if_match_t structure in a tag list.

Parameters

  x | pointer to a sip_if_match_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_IF_MATCH_REF().

## SIPTAG_IF_MATCH_STR

#define SIPTAG_IF_MATCH_STR | ( |  | s | ) |

Tag list item for string with SIP-If-Match header value.

The SIPTAG_IF_MATCH_STR() macro is used to include a tag item with a string containing value of a sip_if_match_t header in a tag list.

Parameters

  s | pointer to a string containing SIP-If-Match header value, or NULL.

The string in SIPTAG_IF_MATCH_STR() can be converted to a sip_if_match_t header structure by giving the string s has second argument to function sip_if_match_make().

The corresponding tag taking reference parameter is SIPTAG_IF_MATCH_STR_REF().

## Typedef Documentation

## sip_if_match_t

typedef struct msg_generic_s sip_if_match_t

@

The SIP-If-Match header field identifies the specific entity of event state that the request is refreshing, modifying or removing. Its syntax is defined in RFC 3903 as follows:

SIP-If-Match = "SIP-If-Match" HCOLON entity-tag
entity-tag = token

The parsed SIP-If-Match header is stored in sip_if_match_t structure.

The structure sip_if_match_t contains representation of a SIP SIP-If-Match header.

The sip_if_match_t is defined as follows:

typedef struct msg_generic_s
{
msg_common_t g_common[1]; // Common fragment info
msg_generic_t *g_next; // Link to next header
char const *g_string; // entity-tag
} sip_if_match_t;
msg_common_t
struct msg_common_s msg_common_t
msg_generic_s
msg_generic_s::g_common
msg_common_t g_common[1]
msg_generic_s::g_string
char const * g_string
msg_generic_s::g_next
msg_generic_t * g_next

## Function Documentation

## sip_if_match_copy()

sip_if_match_t * sip_if_match_copy | ( | su_home_t * | home,
|  | sip_if_match_t const * | hdr )

inline

Copy a list of SIP-If-Match header header structures sip_if_match_t.

The function sip_if_match_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  if_match = sip_if_match_copy(home, sip->sip_if_match);
  sip_if_match_copy
  sip_if_match_t * sip_if_match_copy(su_home_t *home, sip_if_match_t const *hdr))
  Copy a list of SIP-If-Match header header structures sip_if_match_t.
  Definition sip_protos.h:14558

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_if_match_dup()

sip_if_match_t * sip_if_match_dup | ( | su_home_t * | home,
|  | sip_if_match_t const * | hdr )

inline

Duplicate a list of SIP-If-Match header header structures sip_if_match_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  if_match = sip_if_match_dup(home, sip->sip_if_match);
  sip_if_match_dup
  sip_if_match_t * sip_if_match_dup(su_home_t *home, sip_if_match_t const *hdr))
  Duplicate a list of SIP-If-Match header header structures sip_if_match_t.
  Definition sip_protos.h:14515

Returns
  A pointer to the newly duplicated sip_if_match_t header structure, or NULL upon an error.

## sip_if_match_format()

sip_if_match_t * sip_if_match_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a SIP-If-Match header from formatting result.

Make a new sip_if_match_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_if_match_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_if_match_init()

sip_if_match_t * sip_if_match_init | ( | sip_if_match_t | x[1] | ) |

inline

Initialize a structure sip_if_match_t.

An sip_if_match_t structure for SIP-If-Match header can be initialized with the sip_if_match_init() function/macro. For instance,

sip_if_match_t sip_if_match;
sip_if_match_init(&sip_if_match);
sip_if_match_init
sip_if_match_t * sip_if_match_init(sip_if_match_t x[1])
Initialize a structure sip_if_match_t.
Definition sip_protos.h:14446

## sip_if_match_make()

sip_if_match_t * sip_if_match_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a SIP-If-Match header structure sip_if_match_t.

The function sip_if_match_make() makes a new sip_if_match_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_if_match_t header structure, or NULL upon an error.

## sip_is_if_match()

int sip_is_if_match | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_if_match_t.

Check if the header class is an instance of SIP-If-Match header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header if_match
  0 | (false) otherwise

## Variable Documentation

## sip_if_match_class

msg_hclass_t sip_if_match_class[]

extern

Header class for SIP-If-Match header.

The header class sip_if_match_class defines how a SIP SIP-If-Match header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_if_match_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.